import React,{ Component } from 'react';
import Card from './Card';

class TestCard extends Component{
    constructor(props){
        super(props);

        this.state = {
            viewportChecked: false
        };

        this.onViewportChanged = this.onViewportChanged.bind(this);
        this.onSubmit = this.onSubmit.bind(this);
    }

    onViewportChanged(){
        this.setState({
            viewportChecked: !this.state.viewportChecked
        });
    }

    onSubmit(event){
        event.preventDefault();
        if(this.props.onCalled){
            this.props.onCalled(this.state.viewportChecked);
        }
    }

    render(){
        return (
            <Card title={this.props.title}>
                <form onSubmit={this.onSubmit}>
                    <div className="form-group mt-4 test-area">
                        <div className={"form-check " + (this.props.hideViewPortCheckbox? "hidden": "")}>
                            <input type="checkbox" onChange={this.onViewportChanged} defaultChecked={false} className="form-check-input"></input>
                            <label className="form-check-label">Include viewport</label>
                        </div>
                    </div>
                    <button type="submit" className="btn btn-primary">
                        Try it out
                    </button >
                </form>
            </Card>
        );


    }
}

export default TestCard;